import { ChangeDetectionStrategy, Component } from "@angular/core";
import { JobCardComponent } from "../JobCard/JobCard.component";
import { NzDividerModule } from "ng-zorro-antd/divider";
import { NzGridModule } from "ng-zorro-antd/grid";
import { JobModel } from "../../../+admin/data-access/model/jobModel.model";

@Component({
  selector: 'app-job-card',
  templateUrl: './JobListCard.component.html',
  imports: [
    NzDividerModule,
    NzGridModule,
    JobCardComponent,
  ],
  standalone: true,
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class JobListCardComponent {
  listOfJob: JobModel[] = [];
}
